#ifndef _BPLAYER_H_
#define _BPLAYER_H_

#include "bpbitmap.h"

enum
{
	// object properties
	ID_PAINTLAYER_OPACITY				= 2000,
	ID_PAINTLAYER_SHOW					= 2001,
	ID_PAINTLAYER_BLEND					= 2002,
		LAYER_NORMAL			 = 0,
		LAYER_DISSOLVE		 = 1,
		LAYER_DIFFERENCE	 = 2,
		LAYER_LIGHTEN			 = 3,
		LAYER_DARKEN			 = 4,
		LAYER_MULTIPLY		 = 5,
		LAYER_SCREEN			 = 6,
		LAYER_ADD					 = 7,
		LAYER_EXCLUSION		 = 8,
		LAYER_SUB					 = 9,
		LAYER_OVERLAY			 = 10,
		LAYER_SOFTLIGHT    = 11,
		LAYER_HARDLIGHT    = 12,
		LAYER_COLORDODGE   = 13,
		LAYER_COLORBURN    = 14,
		LAYER_HARDMIX      = 15,
		LAYER_PINLIGHT		 = 16,
		LAYER_REFLECT	     = 17,
		LAYER_NEGATION     = 18,
		LAYER_GLOW				 = 19,
		LAYER_AVERAGE			 = 20,
		LAYER_FREEZE       = 21,
		LAYER_HEAT         = 22,
		LAYER_STAMP        = 23,
		LAYER_HUE					 = 24,
		LAYER_SATURATION	 = 25,
		LAYER_COLOR				 = 26,
		LAYER_LUMINANCE		 = 27,
		LAYER_ADD_TRUE		 = 28,
		//--
		LAYER_PASSFOLDER   = 34,
		//--
	ID_PAINTLAYER_TEXTURE_LINK	= 2003,
	ID_PAINTLAYER_TEXTURE_NAME	= 2004,

	ID_PAINTLAYER_END
};

#endif