#ifndef _Ocamera_H_
#define _Ocamera_H_

enum
{
	CAMERA_FOCUS					= 500,	 // REAL; different ID as _any_ object could have this attached
	CAMERA_ZOOM						= 1000,	 // REAL
	CAMERA_PROJECTION			= 1001,  // LONG
		Pperspective =  0,
		Pparallel		 =  1,
		Pleft				 =  2,
		Pright			 =  3,
		Pfront			 =  4,
		Pback			   =  5,
		Ptop				 =  6,
		Pbottom			 =  7,
		Pmilitary		 =  8,
		Pfrog			   =  9,
		Pbird				 = 10,
		Pgentleman	 = 11,
		Pisometric	 = 12,
		Pdimetric    = 13,

	CAMERAOBJECT_APERTURE					= 1006,  // REAL
	CAMERAOBJECT_SHOW							= 1007,  // BOOL
	CAMERAOBJECT_FOV							= 1008,	 // REAL // virtual (not in container)

	CAMERAOBJECT_USETARGETOBJECT	= 1009,
	CAMERAOBJECT_TARGETDISTANCE		= 1010,
	CAMERAOBJECT_FRONTBLUR				= 1111,
	CAMERAOBJECT_FRONTSTART				= 1112,
	CAMERAOBJECT_FRONTEND					= 1113,
	CAMERAOBJECT_REARBLUR					= 1114,
	CAMERAOBJECT_REARSTART				= 1115,
	CAMERAOBJECT_REAREND					= 1116,
	CAMERAOBJECT_PROJECTIONRENDER = 1117,

	CAMERAOBJECT_FILM_OFFSET_X		= 1118,
	CAMERAOBJECT_FILM_OFFSET_Y		= 1119,

	CAMERAOBJECT_MODE							= 1120,
		CAMERAOBJECT_MODE_DEFAULT			= 0,
		CAMERAOBJECT_MODE_OBJECT			= 1,
		CAMERAOBJECT_MODE_CENTER			= 2,
		CAMERAOBJECT_MODE_WORLD				= 3,
		CAMERAOBJECT_MODE_CAMERA			= 4,

	CAMERAOBJECT_MODE_LINK						= 1121,
	CAMERAOBJECT_NEAR_CLIPPING				= 1122,
	CAMERAOBJECT_NEAR_CLIPPING_ENABLE = 1123,

	ID_GROUP_DEPTHOFFIELD					= 2000 // virtual ID
};

#endif