#ifndef _Onurbscaps_H_
#define _Onurbscaps_H_

enum
{
	ID_CAPSANDROUNDING 				= 820,

	CAP_START								= 2000, // CAPTYPE_xxx
	CAP_END									= 2001,	// CAPTYPE_xxx
		CAPTYPE_NOCAP						= 0,
		CAPTYPE_CAP							= 1,
		CAPTYPE_ROUNDING				= 2,
		CAPTYPE_ROUNDINGANDCAP	= 3,
	CAP_ROUNDING						= 2002,
		CAP_ROUNDING_LINEAR			= 0,
		CAP_ROUNDING_CONVEX			= 1,
		CAP_ROUNDING_CONCAVE		= 2,
		CAP_ROUNDING_HALFCIRCLE = 3,
		CAP_ROUNDING_STEP				= 4,
		CAP_ROUNDING_2STEPS			= 5,
		CAP_ROUNDING_ENGRAVED		= 6,
	CAP_STARTSTEPS					= 2003,	// LONG
	CAP_ENDSTEPS						= 2004,  // LONG
	CAP_STARTRADIUS					= 2005,  // REAL
	CAP_ENDRADIUS						= 2006,  // REAL
	CAP_HULLINWARD					= 2007,  // BOOL
	CAP_HOLEINWARD					= 2008,  // BOOL
	CAP_CONSTRAIN						= 2009,  // BOOL
	CAP_REGULAR							= 2010,	// BOOL
	CAP_REGULARWIDTH				= 2011,	// REAL
	CAP_PHONG								= 2012,	// REAL
	CAP_TYPE				        = 2013, // LONG
		CAP_TYPE_TRI          = 0,
		CAP_TYPE_QUAD					= 1,
		CAP_TYPE_NGON					= 2
};

#endif