#ifndef _Tcompositing_H_
#define _Tcompositing_H_

enum
{
	COMPOSITINGTAG_CASTSHADOW					= 1000, // BOOL
	COMPOSITINGTAG_RECEIVESHADOW			= 1001, // BOOL
	COMPOSITINGTAG_SEENBYCAMERA				= 1002, // BOOL
	COMPOSITINGTAG_SEENBYRAYS					= 1003, // BOOL
	COMPOSITINGTAG_BACKGROUND					= 1004, // BOOL
	COMPOSITINGTAG_AAOVERWRITE				= 1005, // BOOL
	COMPOSITINGTAG_AAMINLEVEL					= 1006, // LONG
		COMPOSITINGTAG_AALEVEL_1					= 0,
		COMPOSITINGTAG_AALEVEL_2					= 1,
		COMPOSITINGTAG_AALEVEL_4					= 2,
		COMPOSITINGTAG_AALEVEL_8					= 3,
		COMPOSITINGTAG_AALEVEL_16					= 4,
	COMPOSITINGTAG_AAMAXLEVEL					= 1007, // LONG
	COMPOSITINGTAG_GI									= 1008, // BOOL
	COMPOSITINGTAG_GIACCURACY					= 1009, // REAL
	COMPOSITINGTAG_ENABLECHN0					= 1010, // BOOL
	COMPOSITINGTAG_ENABLECHN1					= 1011, // BOOL
	COMPOSITINGTAG_ENABLECHN2					= 1012, // BOOL
	COMPOSITINGTAG_ENABLECHN3					= 1013, // BOOL
	COMPOSITINGTAG_ENABLECHN4					= 1014, // BOOL
	COMPOSITINGTAG_ENABLECHN5					= 1015, // BOOL
	COMPOSITINGTAG_AATHRESHOLD				= 1016, // REAL
	COMPOSITINGTAG_SEENBYGI						= 1017, // BOOL
	COMPOSITINGTAG_IDCHN0							= 1110, // LONG
	COMPOSITINGTAG_IDCHN1							= 1111, // LONG
	COMPOSITINGTAG_IDCHN2							= 1112, // LONG
	COMPOSITINGTAG_IDCHN3							= 1113, // LONG
	COMPOSITINGTAG_IDCHN4							= 1114, // LONG
	COMPOSITINGTAG_IDCHN5							= 1115, // LONG

	COMPOSITINGTAG_IDCHN6							= 1120, // LONG
	COMPOSITINGTAG_IDCHN7							= 1121, // LONG
	COMPOSITINGTAG_IDCHN8							= 1122, // LONG
	COMPOSITINGTAG_IDCHN9							= 1123, // LONG
	COMPOSITINGTAG_IDCHN10						= 1124, // LONG
	COMPOSITINGTAG_IDCHN11						= 1125, // LONG
	COMPOSITINGTAG_SELFSHADOW					= 1126, // BOOL
	COMPOSITINGTAG_SEENBYTRANSPARENCY	= 1127, // BOOL
	COMPOSITINGTAG_SEENBYREFLECTION		= 1128, // BOOL
	COMPOSITINGTAG_SEENBYREFRACTION   = 1129, // BOOL
	COMPOSITINGTAG_EXCLUSION_LIST			= 1130, // ExclusionTable
  COMPOSITINGTAG_EXCLUSION_MODE			= 1131, // LONG
  	COMPOSITINGTAG_EXCLUSION_MODE_INCLUDE	= 0,
  	COMPOSITINGTAG_EXCLUSION_MODE_EXCLUDE	= 1,
	COMPOSITINGTAG_ENABLECHN6					= 1136, // BOOL
	COMPOSITINGTAG_ENABLECHN7					= 1137, // BOOL
	COMPOSITINGTAG_ENABLECHN8					= 1138, // BOOL
	COMPOSITINGTAG_ENABLECHN9					= 1139, // BOOL
	COMPOSITINGTAG_ENABLECHN10				= 1140, // BOOL
	COMPOSITINGTAG_ENABLECHN11				= 1141, // BOOL

	COMPOSITINGTAG_SEENBYAO						= 1142, // BOOL

	COMPOSITINGTAG_GROUPOBJBUFFER		= 1116, // Group
	COMPOSITINGTAG_GROUPINEXCLUSION = 1117  // Group
};

#endif

