#ifndef _OBASE_H_
#define _OBASE_H_

enum
{
	// object properties
	ID_BASEOBJECT_VISIBILITY_EDITOR   = 901,	// modes for visible checks in the object manager
	ID_BASEOBJECT_VISIBILITY_RENDER   = 902,	// modes for visible checks in the object manager
		OBJECT_ON    = 0,
		OBJECT_OFF   = 1,
		OBJECT_UNDEF = 2,
	ID_BASEOBJECT_POSITION            = 903,
	ID_BASEOBJECT_ROTATION            = 904,
	ID_BASEOBJECT_SCALE               = 905,
	ID_BASEOBJECT_GENERATOR_FLAG			= 906,
	ID_BASEOBJECT_USECOLOR						= 907,
		ID_BASEOBJECT_USECOLOR_OFF				= 0,
		ID_BASEOBJECT_USECOLOR_AUTOMATIC	= 1,
		ID_BASEOBJECT_USECOLOR_ALWAYS			= 2,
	ID_BASEOBJECT_COLOR								= 908,
	ID_BASEOBJECT_XRAY								= 909,
	ID_BASEOBJECT_GLOBAL_POSITION     = 910,
	ID_BASEOBJECT_GLOBAL_ROTATION     = 911,
	ID_BASEOBJECT_SHADEDWIRECOLOR			= 912,
	ID_BASEOBJECT_SHADEDWIRECOLORMODE = 913,
		ID_BASEOBJECT_SHADEDWIRECOLORMODE_OFF			 = 0,
		ID_BASEOBJECT_SHADEDWIRECOLORMODE_AUTO		 = 1,
		ID_BASEOBJECT_SHADEDWIRECOLORMODE_ALWAYS	 = 2,

	ID_BASEOBJECT_GROUP1							= 800,		// for group
	ID_BASEOBJECT_GROUPVIS						= 801,
	ID_OBJECTPROPERTIES								= 802,
	ID_TAGLIST												= 804
};

#endif